﻿/* Set padding to keep content from hitting the edges */

.btn-primary {
    --bs-btn-bg: white;
    --bs-btn-color: black;
}

.body-content {
    margin-top: 15px;
    padding-left: 15px;
    padding-right: 15px;
}

:root {
    /*--bs-table-active-bg: darkgrey;*/
    --dt-row-selected: darkgrey;
    --dt-row-selected-text: black;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select{
    /*max-width: 280px;*/
}

.navbar {
    height: 60px;
}
.top-section {
    height: 200px;
}

html, body {
    height: 100%;
    margin: 0;
    overflow: hidden;
}

.wrapper {
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
}

.container.body-content {
    flex: 1 1 auto;
    margin-bottom: calc(50px + 5px);
}

footer {
    background: var(--bs-body-color);
    display: flex;
    flex-direction: row;
    /*padding: 10px;*/
    /*box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);*/
    position: fixed;
    bottom: 5px;
    width: 100%;
    height: 60px;
}